#
# spec file for package icmpinfo (Version 1.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           icmpinfo
License:        BSD
Group:          Productivity/Networking/Diagnostic
Requires:       net-tools netcfg
Autoreqprov:    on
Version:        1.11
Release:        571.2
Summary:        A Tool for Looking at ICMP Messages
URL:            http://www.demailly.com/~dl/softs.html
Source:         icmpinfo-%{version}.tar.gz
Source1:        COPYRIGHT
Patch:          icmpinfo-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A tool for looking at the ICMP messages received on the running host.



Authors:
--------
    Laurent Demailly <dl@hplyot.obspm.fr>

%debug_package
%prep
%setup
%patch

%build
make CFLAGS="-D_BSD_SOURCE $RPM_OPT_FLAGS"

%install
make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} install
cp %{S:1} .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NocTools.Infos TODO CHANGES DOC COPYRIGHT
%doc %{_mandir}/man?/*
/usr/sbin/icmpinfo

%changelog -n icmpinfo
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 - schwab@suse.de
- Don't strip binaries.
* Wed Jun 08 2005 - meissner@suse.de
- use RPM_OPT_FLAGS
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Wed Feb 21 2001 - cihlar@suse.cz
- package separated from nkita
